diff --git a/buildscripts/hang_analyzer.py b/buildscripts/hang_analyzer.py
index d554e67..0cca026 100755
--- a/buildscripts/hang_analyzer.py
+++ b/buildscripts/hang_analyzer.py
@@ -12,7 +12,7 @@ A prototype hang analyzer for Evergreen integration to help investigate test tim
 Supports Linux, MacOS X, Solaris, and Windows.
 """
 
-import StringIO
+import io
 import csv
 import glob
 import itertools
@@ -177,7 +177,7 @@ class WindowsProcessList(object):
 
         ret = callo([ps, "/FO", "CSV"], logger)
 
-        b = StringIO.StringIO(ret)
+        b = io.StringIO(ret)
         csvReader = csv.reader(b)
 
         p = [[int(row[1]), row[0]] for row in csvReader if row[1] != "PID"]
@@ -270,7 +270,7 @@ class DarwinProcessList(object):
 
         ret = callo([ps, "-axco", "pid,comm"], logger)
 
-        b = StringIO.StringIO(ret)
+        b = io.StringIO(ret)
         csvReader = csv.reader(b, delimiter=' ', quoting=csv.QUOTE_NONE, skipinitialspace=True)
 
         p = [[int(row[0]), row[1]] for row in csvReader if row[0] != "PID"]
@@ -411,7 +411,7 @@ class LinuxProcessList(object):
 
         ret = callo([ps, "-eo", "pid,args"], logger)
 
-        b = StringIO.StringIO(ret)
+        b = io.StringIO(ret)
         csvReader = csv.reader(b, delimiter=' ', quoting=csv.QUOTE_NONE, skipinitialspace=True)
 
         p = [[int(row[0]), os.path.split(row[1])[1]] for row in csvReader if row[0] != "PID"]
@@ -433,7 +433,7 @@ class SolarisProcessList(object):
 
         ret = callo([ps, "-eo", "pid,args"], logger)
 
-        b = StringIO.StringIO(ret)
+        b = io.StringIO(ret)
         csvReader = csv.reader(b, delimiter=' ', quoting=csv.QUOTE_NONE, skipinitialspace=True)
 
         p = [[int(row[0]), os.path.split(row[1])[1]] for row in csvReader if row[0] != "PID"]
@@ -545,7 +545,7 @@ def signal_process(logger, pid, signalnum):
 
         logger.info("Waiting for process to report")
         time.sleep(5)
-    except OSError, e:
+    except OSError as e:
         logger.error("Hit OS error trying to signal process: %s" % str(e))
 
     except AttributeError:
diff --git a/buildscripts/idl/idl/ast.py b/buildscripts/idl/idl/ast.py
index 88bbe0c..012ad82 100644
--- a/buildscripts/idl/idl/ast.py
+++ b/buildscripts/idl/idl/ast.py
@@ -21,7 +21,7 @@ This is a lossy translation from the IDL Syntax tree as the IDL AST only contain
 the enums and structs that need code generated for them, and just enough information to do that.
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from typing import List, Union, Any, Optional, Tuple
 
diff --git a/buildscripts/idl/idl/binder.py b/buildscripts/idl/idl/binder.py
index e828657..f183ef9 100644
--- a/buildscripts/idl/idl/binder.py
+++ b/buildscripts/idl/idl/binder.py
@@ -15,7 +15,7 @@
 # pylint: disable=too-many-lines
 """Transform idl.syntax trees from the parser into well-defined idl.ast trees."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import re
 from typing import cast, List, Set, Union
@@ -600,7 +600,7 @@ def _validate_enum_int(ctxt, idl_enum):
     min_value = min(int_values_set)
     max_value = max(int_values_set)
 
-    valid_int = {x for x in xrange(min_value, max_value + 1)}
+    valid_int = {x for x in range(min_value, max_value + 1)}
 
     if valid_int != int_values_set:
         ctxt.add_enum_non_continuous_range_error(idl_enum, idl_enum.name)
diff --git a/buildscripts/idl/idl/bson.py b/buildscripts/idl/idl/bson.py
index 214b67a..c1a1ec4 100644
--- a/buildscripts/idl/idl/bson.py
+++ b/buildscripts/idl/idl/bson.py
@@ -18,7 +18,7 @@ BSON Type Information.
 Utilities for validating bson types, etc.
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from typing import Dict, List
 
@@ -141,7 +141,7 @@ def cpp_bson_type_name(name):
 def list_valid_types():
     # type: () -> List[unicode]
     """Return a list of supported bson types."""
-    return [a for a in _BSON_TYPE_INFORMATION.iterkeys()]
+    return [a for a in _BSON_TYPE_INFORMATION.keys()]
 
 
 def is_valid_bindata_subtype(name):
diff --git a/buildscripts/idl/idl/common.py b/buildscripts/idl/idl/common.py
index 7eb4bbe..06b52ca 100644
--- a/buildscripts/idl/idl/common.py
+++ b/buildscripts/idl/idl/common.py
@@ -18,7 +18,7 @@ IDL Common classes.
 Classes which are shared among both the IDL idl.syntax and idl.AST trees.
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import os
 import string
diff --git a/buildscripts/idl/idl/compiler.py b/buildscripts/idl/idl/compiler.py
index 358a19c..ec9f217 100644
--- a/buildscripts/idl/idl/compiler.py
+++ b/buildscripts/idl/idl/compiler.py
@@ -18,7 +18,7 @@ IDL compiler driver.
 Orchestrates the 3 passes (parser, binder, and generator) together.
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import io
 import logging
diff --git a/buildscripts/idl/idl/cpp_types.py b/buildscripts/idl/idl/cpp_types.py
index aafcf87..eb487d4 100644
--- a/buildscripts/idl/idl/cpp_types.py
+++ b/buildscripts/idl/idl/cpp_types.py
@@ -14,7 +14,7 @@
 #
 """IDL C++ Code Generator."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from abc import ABCMeta, abstractmethod
 import string
@@ -75,11 +75,9 @@ def _qualify_array_type(cpp_type):
     return "std::vector<%s>" % (cpp_type)
 
 
-class CppTypeBase(object):
+class CppTypeBase(object, metaclass=ABCMeta):
     """Base type for C++ Type information."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, field):
         # type: (ast.Field) -> None
         """Construct a CppTypeBase."""
@@ -537,11 +535,9 @@ def get_cpp_type(field):
     return cpp_type_info
 
 
-class BsonCppTypeBase(object):
+class BsonCppTypeBase(object, metaclass=ABCMeta):
     """Base type for custom C++ support for BSON Types information."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, field):
         # type: (ast.Field) -> None
         """Construct a BsonCppTypeBase."""
diff --git a/buildscripts/idl/idl/enum_types.py b/buildscripts/idl/idl/enum_types.py
index 3caed6f..ab12a6b 100644
--- a/buildscripts/idl/idl/enum_types.py
+++ b/buildscripts/idl/idl/enum_types.py
@@ -18,7 +18,7 @@ IDL Enum type information.
 Support the code generation for enums
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from abc import ABCMeta, abstractmethod
 import textwrap
@@ -30,11 +30,9 @@ from . import syntax
 from . import writer
 
 
-class EnumTypeInfoBase(object):
+class EnumTypeInfoBase(object, metaclass=ABCMeta):
     """Base type for enumeration type information."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, idl_enum):
         # type: (Union[syntax.Enum,ast.Enum]) -> None
         """Construct a EnumTypeInfoBase."""
@@ -105,11 +103,9 @@ class EnumTypeInfoBase(object):
         pass
 
 
-class _EnumTypeInt(EnumTypeInfoBase):
+class _EnumTypeInt(EnumTypeInfoBase, metaclass=ABCMeta):
     """Type information for integer enumerations."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, idl_enum):
         # type: (Union[syntax.Enum,ast.Enum]) -> None
         super(_EnumTypeInt, self).__init__(idl_enum)
@@ -186,11 +182,9 @@ def _get_constant_enum_name(idl_enum, enum_value):
         'k${enum_name}_${name}', enum_name=common.title_case(idl_enum.name), name=enum_value.name)
 
 
-class _EnumTypeString(EnumTypeInfoBase):
+class _EnumTypeString(EnumTypeInfoBase, metaclass=ABCMeta):
     """Type information for string enumerations."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, idl_enum):
         # type: (Union[syntax.Enum,ast.Enum]) -> None
         super(_EnumTypeString, self).__init__(idl_enum)
diff --git a/buildscripts/idl/idl/errors.py b/buildscripts/idl/idl/errors.py
index 71054a1..051e837 100644
--- a/buildscripts/idl/idl/errors.py
+++ b/buildscripts/idl/idl/errors.py
@@ -19,7 +19,7 @@ Common error handling code for IDL compiler.
 - Error codes used by the IDL compiler.
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import inspect
 import os
diff --git a/buildscripts/idl/idl/generator.py b/buildscripts/idl/idl/generator.py
index 03a0498..c75438a 100644
--- a/buildscripts/idl/idl/generator.py
+++ b/buildscripts/idl/idl/generator.py
@@ -15,7 +15,7 @@
 # pylint: disable=too-many-lines
 """IDL C++ Code Generator."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from abc import ABCMeta, abstractmethod
 import io
@@ -99,11 +99,9 @@ def _get_bson_type_check(bson_element, ctxt_name, field):
         return '%s.checkAndAssertTypes(%s, %s)' % (ctxt_name, bson_element, type_list)
 
 
-class _FieldUsageCheckerBase(object):
+class _FieldUsageCheckerBase(object, metaclass=ABCMeta):
     """Check for duplicate fields, and required fields as needed."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, indented_writer):
         # type: (writer.IndentedTextWriter) -> None
         """Create a field usage checker."""
@@ -1446,8 +1444,8 @@ def _generate_header(spec, file_name):
     header.generate(spec)
 
     # Generate structs
-    with io.open(file_name, mode='wb') as file_handle:
-        file_handle.write(stream.getvalue().encode())
+    with io.open(file_name, mode='w') as file_handle:
+        file_handle.write(stream.getvalue())
 
 
 def _generate_source(spec, file_name, header_file_name):
@@ -1461,8 +1459,8 @@ def _generate_source(spec, file_name, header_file_name):
     source.generate(spec, header_file_name)
 
     # Generate structs
-    with io.open(file_name, mode='wb') as file_handle:
-        file_handle.write(stream.getvalue().encode())
+    with io.open(file_name, mode='w') as file_handle:
+        file_handle.write(stream.getvalue())
 
 
 def generate_code(spec, output_base_dir, header_file_name, source_file_name):
diff --git a/buildscripts/idl/idl/parser.py b/buildscripts/idl/idl/parser.py
index e139186..8be8476 100644
--- a/buildscripts/idl/idl/parser.py
+++ b/buildscripts/idl/idl/parser.py
@@ -18,7 +18,7 @@ IDL Parser.
 Converts a YAML document to an idl.syntax tree.
 Only validates the document is syntatically correct, not semantically.
 """
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from abc import ABCMeta, abstractmethod
 import io
@@ -485,11 +485,9 @@ def _parse(stream, error_file_name):
         return syntax.IDLParsedSpec(spec, None)
 
 
-class ImportResolverBase(object):
+class ImportResolverBase(object, metaclass=ABCMeta):
     """Base class for resolving imported files."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self):
         # type: () -> None
         """Construct a ImportResolver."""
diff --git a/buildscripts/idl/idl/struct_types.py b/buildscripts/idl/idl/struct_types.py
index 4db6452..f127b25 100644
--- a/buildscripts/idl/idl/struct_types.py
+++ b/buildscripts/idl/idl/struct_types.py
@@ -14,7 +14,7 @@
 #
 """Provide code generation information for structs and commands in a polymorphic way."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 from abc import ABCMeta, abstractmethod
 from typing import Optional, List
@@ -125,11 +125,9 @@ class MethodInfo(object):
             "${method_name}(${args});", method_name=self.method_name, args=args)
 
 
-class StructTypeInfoBase(object):
+class StructTypeInfoBase(object, metaclass=ABCMeta):
     """Base class for struct and command code generation."""
 
-    __metaclass__ = ABCMeta
-
     @abstractmethod
     def get_constructor_method(self):
         # type: () -> MethodInfo
diff --git a/buildscripts/idl/idl/syntax.py b/buildscripts/idl/idl/syntax.py
index 353e1b2..f203c33 100644
--- a/buildscripts/idl/idl/syntax.py
+++ b/buildscripts/idl/idl/syntax.py
@@ -20,7 +20,7 @@ It maps 1-1 to the YAML file, and has not been checked if
 it follows the rules of the IDL, etc.
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import itertools
 from typing import Any, Dict, Iterator, List, Optional, Tuple, Union
@@ -82,7 +82,7 @@ def _item_and_type(dic):
     # type: (Dict[Any, List[Any]]) -> Iterator[Tuple[Any, Any]]
     """Return an Iterator of (key, value) pairs from a dictionary."""
     return itertools.chain.from_iterable((_zip_scalar(value, key)
-                                          for (key, value) in dic.viewitems()))
+                                          for (key, value) in dic.items()))
 
 
 class SymbolTable(object):
diff --git a/buildscripts/idl/idl/writer.py b/buildscripts/idl/idl/writer.py
index 73a9860..ddced9c 100644
--- a/buildscripts/idl/idl/writer.py
+++ b/buildscripts/idl/idl/writer.py
@@ -14,7 +14,7 @@
 #
 """Text Writing Utilites."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import io
 import string
diff --git a/buildscripts/idl/idlc.py b/buildscripts/idl/idlc.py
index a9abc0f..9ad455e 100644
--- a/buildscripts/idl/idlc.py
+++ b/buildscripts/idl/idlc.py
@@ -15,7 +15,7 @@
 #
 """IDL Compiler Driver Main Entry point."""
 
-from __future__ import absolute_import, print_function
+
 
 import argparse
 import logging
diff --git a/buildscripts/idl/run_tests.py b/buildscripts/idl/run_tests.py
index 9f1aaa1..7036863 100644
--- a/buildscripts/idl/run_tests.py
+++ b/buildscripts/idl/run_tests.py
@@ -18,7 +18,7 @@ IDL Unit Test runner.
 
 Generates a file called results.xml in the XUnit format.
 """
-from __future__ import absolute_import, print_function
+
 
 import sys
 import unittest
diff --git a/buildscripts/idl/tests/test_binder.py b/buildscripts/idl/tests/test_binder.py
index 5502b69..4cc74f2 100644
--- a/buildscripts/idl/tests/test_binder.py
+++ b/buildscripts/idl/tests/test_binder.py
@@ -16,7 +16,7 @@
 # pylint: disable=too-many-lines
 """Test cases for IDL binder."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import textwrap
 import unittest
@@ -72,7 +72,7 @@ class TestBinder(testcase.IDLTestcase):
             cpp_includes:
                 - 'bar'
                 - 'foo'"""))
-        self.assertEquals(spec.globals.cpp_namespace, "something")
+        self.assertEqual(spec.globals.cpp_namespace, "something")
         self.assertListEqual(spec.globals.cpp_includes, ['bar', 'foo'])
 
     def test_type_positive(self):
diff --git a/buildscripts/idl/tests/test_generator.py b/buildscripts/idl/tests/test_generator.py
index 1c7ede7..95ac93d 100644
--- a/buildscripts/idl/tests/test_generator.py
+++ b/buildscripts/idl/tests/test_generator.py
@@ -22,7 +22,7 @@ idl base directory:
 $ coverage run run_tests.py && coverage html
 """
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import os
 import unittest
diff --git a/buildscripts/idl/tests/test_import.py b/buildscripts/idl/tests/test_import.py
index 4afea4e..0049959 100644
--- a/buildscripts/idl/tests/test_import.py
+++ b/buildscripts/idl/tests/test_import.py
@@ -15,7 +15,7 @@
 #
 """Test cases for IDL binder."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import io
 import textwrap
diff --git a/buildscripts/idl/tests/test_parser.py b/buildscripts/idl/tests/test_parser.py
index 59c1bf0..5d4ff78 100644
--- a/buildscripts/idl/tests/test_parser.py
+++ b/buildscripts/idl/tests/test_parser.py
@@ -15,7 +15,7 @@
 #
 """Test cases for IDL parser."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import textwrap
 import unittest
diff --git a/buildscripts/idl/tests/testcase.py b/buildscripts/idl/tests/testcase.py
index f279279..df2083e 100644
--- a/buildscripts/idl/tests/testcase.py
+++ b/buildscripts/idl/tests/testcase.py
@@ -14,7 +14,7 @@
 #
 """Utility methods and classes for testing IDL passes."""
 
-from __future__ import absolute_import, print_function, unicode_literals
+
 
 import unittest
 from typing import Any
diff --git a/buildscripts/jiraclient.py b/buildscripts/jiraclient.py
index d3dd1038..50e0211 100644
--- a/buildscripts/jiraclient.py
+++ b/buildscripts/jiraclient.py
@@ -1,6 +1,6 @@
 """Module to access a JIRA server."""
 
-from __future__ import absolute_import
+
 
 import jira
 
diff --git a/buildscripts/lint.py b/buildscripts/lint.py
index d4061a9..b1ca5b6 100644
--- a/buildscripts/lint.py
+++ b/buildscripts/lint.py
@@ -2,8 +2,8 @@
 import sys
 import codecs
 
-import cpplint
-import utils
+from . import cpplint
+from . import utils
 
 class CheckForConfigH:
     def __init__(self):
diff --git a/buildscripts/linter/base.py b/buildscripts/linter/base.py
index ae78d52..2807422 100644
--- a/buildscripts/linter/base.py
+++ b/buildscripts/linter/base.py
@@ -1,16 +1,14 @@
 """Base class and support functions for linters."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 from abc import ABCMeta, abstractmethod
 from typing import Dict, List, Optional
 
 
-class LinterBase(object):
+class LinterBase(object, metaclass=ABCMeta):
     """Base Class for all linters."""
 
-    __metaclass__ = ABCMeta
-
     def __init__(self, cmd_name, required_version):
         # type: (str, str) -> None
         """
diff --git a/buildscripts/linter/git.py b/buildscripts/linter/git.py
index edde6d0..db39132 100644
--- a/buildscripts/linter/git.py
+++ b/buildscripts/linter/git.py
@@ -1,6 +1,6 @@
 """Git Utility functions."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 import itertools
 import os
@@ -175,7 +175,7 @@ def get_files_to_check_from_patch(patches, filter_function):
 
     lines = []  # type: List[str]
     for patch in patches:
-        with open(patch, "rb") as infile:
+        with open(patch, "r") as infile:
             lines += infile.readlines()
 
     candidates = [check.match(line).group(1) for line in lines if check.match(line)]
diff --git a/buildscripts/linter/mypy.py b/buildscripts/linter/mypy.py
index 9526b38..38b53b9 100644
--- a/buildscripts/linter/mypy.py
+++ b/buildscripts/linter/mypy.py
@@ -1,6 +1,6 @@
 """Mypy linter support module."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 from typing import List
 
diff --git a/buildscripts/linter/parallel.py b/buildscripts/linter/parallel.py
index 0648bfb..e5498d3 100644
--- a/buildscripts/linter/parallel.py
+++ b/buildscripts/linter/parallel.py
@@ -1,8 +1,8 @@
 """Utility code to execute code in parallel."""
-from __future__ import absolute_import
-from __future__ import print_function
 
-import Queue
+
+
+import queue
 import threading
 import time
 from multiprocessing import cpu_count
@@ -17,7 +17,7 @@ def parallel_process(items, func):
     except NotImplementedError:
         cpus = 1
 
-    task_queue = Queue.Queue()  # type: Queue.Queue
+    task_queue = queue.Queue()  # type: Queue.Queue
 
     # Use a list so that worker function will capture this variable
     pp_event = threading.Event()
@@ -30,7 +30,7 @@ def parallel_process(items, func):
         while not pp_event.is_set():
             try:
                 item = task_queue.get_nowait()
-            except Queue.Empty:
+            except queue.Empty:
                 # if the queue is empty, exit the worker thread
                 pp_event.set()
                 return
diff --git a/buildscripts/linter/pydocstyle.py b/buildscripts/linter/pydocstyle.py
index 9420d42..ec0512d 100644
--- a/buildscripts/linter/pydocstyle.py
+++ b/buildscripts/linter/pydocstyle.py
@@ -1,6 +1,6 @@
 """PyDocStyle linter support module."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 from typing import List
 
diff --git a/buildscripts/linter/pylint.py b/buildscripts/linter/pylint.py
index 0564655..7d93434 100644
--- a/buildscripts/linter/pylint.py
+++ b/buildscripts/linter/pylint.py
@@ -1,6 +1,6 @@
 """PyLint linter support module."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 import os
 from typing import List
diff --git a/buildscripts/linter/runner.py b/buildscripts/linter/runner.py
index 0c30207..ccb12a9 100644
--- a/buildscripts/linter/runner.py
+++ b/buildscripts/linter/runner.py
@@ -1,6 +1,6 @@
 """Class to support running various linters in a common framework."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 import difflib
 import logging
diff --git a/buildscripts/linter/yapf.py b/buildscripts/linter/yapf.py
index 8695598..53f1720 100644
--- a/buildscripts/linter/yapf.py
+++ b/buildscripts/linter/yapf.py
@@ -1,6 +1,6 @@
 """YAPF linter support module."""
-from __future__ import absolute_import
-from __future__ import print_function
+
+
 
 from typing import List
 
diff --git a/buildscripts/make_archive.py b/buildscripts/make_archive.py
index 2671fa5..91e2bf0 100755
--- a/buildscripts/make_archive.py
+++ b/buildscripts/make_archive.py
@@ -95,14 +95,14 @@ def make_tar_archive(opts):
         enclosing_file_directory = os.path.dirname(temp_file_location)
         if not os.path.exists(enclosing_file_directory):
             os.makedirs(enclosing_file_directory)
-        print "copying %s => %s" % (input_filename, temp_file_location)
+        print("copying %s => %s" % (input_filename, temp_file_location))
         if os.path.isdir(input_filename):
             shutil.copytree(input_filename, temp_file_location)
         else:
             shutil.copy2(input_filename, temp_file_location)
         tar_command.append(preferred_filename)
 
-    print " ".join(tar_command)
+    print(" ".join(tar_command))
     # execute the full tar command
     run_directory = os.path.join(os.getcwd(), enclosing_archive_directory)
     proc = Popen(tar_command, stdout=PIPE, stderr=STDOUT, bufsize=0, cwd=run_directory)
@@ -165,7 +165,7 @@ def parse_options(args):
         opts.transformations = [
             xform.replace(os.path.altsep or os.path.sep, os.path.sep).split('=', 1)
             for xform in opts.transformations]
-    except Exception, e:
+    except Exception as e:
         parser.error(e)
 
     return opts
diff --git a/buildscripts/make_vcxproj.py b/buildscripts/make_vcxproj.py
index e4c2d7a..693352f 100644
--- a/buildscripts/make_vcxproj.py
+++ b/buildscripts/make_vcxproj.py
@@ -241,12 +241,12 @@ class ProjFileGenerator(object):
 
 def main():
     if len(sys.argv) != 2:
-        print r"Usage: python buildscripts\make_vcxproj.py FILE_NAME"
+        print(r"Usage: python buildscripts\make_vcxproj.py FILE_NAME")
         return
 
     with ProjFileGenerator(sys.argv[1]) as projfile:
-        with open("compile_commands.json", "rb") as sjh:
-            contents = sjh.read().decode('utf-8')
+        with open("compile_commands.json", "r") as sjh:
+            contents = sjh.read()
             commands = json.loads(contents)
 
         for command in commands:
diff --git a/buildscripts/moduleconfig.py b/buildscripts/moduleconfig.py
index eece68b..0aeea5f 100644
--- a/buildscripts/moduleconfig.py
+++ b/buildscripts/moduleconfig.py
@@ -23,7 +23,7 @@ alter those programs' behavior.
 MongoDB module SConscript files can describe libraries, programs and unit tests, just as other
 MongoDB SConscript files do.
 """
-from __future__ import print_function
+
 
 __all__ = ('discover_modules', 'discover_module_directories', 'configure_modules',
             'register_module_test')
diff --git a/buildscripts/mongosymb.py b/buildscripts/mongosymb.py
index 4da0535..b0aba4d 100755
--- a/buildscripts/mongosymb.py
+++ b/buildscripts/mongosymb.py
@@ -36,7 +36,7 @@ def symbolize_frames(trace_doc, dbg_path_resolver, symbolizer_path=None, dsym_hi
         """Makes a map from binary load address to description of library from the somap, which is
         a list of dictionaries describing individual loaded libraries.
         """
-        return { so_entry["b"] : so_entry for so_entry in somap_list if so_entry.has_key("b") }
+        return { so_entry["b"] : so_entry for so_entry in somap_list if "b" in so_entry }
 
     base_addr_map = make_base_addr_map(trace_doc["processInfo"]["somap"])
 
@@ -50,7 +50,7 @@ def symbolize_frames(trace_doc, dbg_path_resolver, symbolizer_path=None, dsym_hi
             addr_base = frame["b"]
         else:
             addr_base = soinfo.get("vmaddr", "0")
-        addr = long(addr_base, 16) + long(frame["o"], 16)
+        addr = int(addr_base, 16) + int(frame["o"], 16)
         # addr currently points to the return address which is the one *after* the call. x86 is
         # variable length so going backwards is difficult. However llvm-symbolizer seems to do the
         # right thing if we just subtract 1 byte here. This has the downside of also adjusting the
diff --git a/buildscripts/msitrim.py b/buildscripts/msitrim.py
index 45ca8d4..b5781ed 100644
--- a/buildscripts/msitrim.py
+++ b/buildscripts/msitrim.py
@@ -29,7 +29,7 @@ def exec_update(query, column, value):
     view.Close()
 
 
-print "Trimming MSI"
+print("Trimming MSI")
 
 db = msilib.OpenDatabase(args.file.name, msilib.MSIDBOPEN_DIRECT)
 
diff --git a/buildscripts/packager-enterprise.py b/buildscripts/packager-enterprise.py
index 8629be1..202a676 100755
--- a/buildscripts/packager-enterprise.py
+++ b/buildscripts/packager-enterprise.py
@@ -30,7 +30,7 @@ import argparse
 import errno
 import getopt
 from glob import glob
-import packager
+from . import packager
 import os
 import re
 import shutil
@@ -39,7 +39,7 @@ import subprocess
 import sys
 import tempfile
 import time
-import urlparse
+import urllib.parse
 
 # The MongoDB names for the architectures we support.
 ARCH_CHOICES=["x86_64", "ppc64le", "s390x", "arm64"]
@@ -153,7 +153,7 @@ def main(argv):
     if prefix is None:
       prefix=tempfile.mkdtemp()
 
-    print "Working in directory %s" % prefix
+    print("Working in directory %s" % prefix)
 
     os.chdir(prefix)
     try:
@@ -210,7 +210,7 @@ def unpack_binaries_into(build_os, arch, spec, where):
             os.rename("%s/%s" % (release_dir, releasefile), releasefile)
         os.rmdir(release_dir)
     except Exception:
-        exc=sys.exc_value
+        exc=sys.exc_info()[1]
         os.chdir(rootdir)
         raise exc
     os.chdir(rootdir)
@@ -226,7 +226,7 @@ def make_package(distro, build_os, arch, spec, srcdir):
     # directory, so the debian directory is needed in all cases (and
     # innocuous in the debianoids' sdirs).
     for pkgdir in ["debian", "rpm"]:
-        print "Copying packaging files from %s to %s" % ("%s/%s" % (srcdir, pkgdir), sdir)
+        print("Copying packaging files from %s to %s" % ("%s/%s" % (srcdir, pkgdir), sdir))
         # FIXME: sh-dash-cee is bad. See if tarfile can do this.
         packager.sysassert(["sh", "-c", "(cd \"%s\" && git archive %s %s/ ) | (cd \"%s\" && tar xvf -)" % (srcdir, spec.metadata_gitspec(), pkgdir, sdir)])
     # Splat the binaries and snmp files under sdir.  The "build" stages of the
@@ -304,7 +304,7 @@ def move_repos_into_place(src, dst):
             os.mkdir(dname)
             break
         except OSError:
-            exc=sys.exc_value
+            exc=sys.exc_info()[1]
             if exc.errno == errno.EEXIST:
                 pass
             else:
@@ -324,7 +324,7 @@ def move_repos_into_place(src, dst):
             os.symlink(dname, tmpnam)
             break
         except OSError: # as exc: # Python >2.5
-            exc=sys.exc_value
+            exc=sys.exc_info()[1]
             if exc.errno == errno.EEXIST:
                 pass
             else:
@@ -342,7 +342,7 @@ def move_repos_into_place(src, dst):
                os.symlink(os.readlink(dst), oldnam)
                break
            except OSError: # as exc: # Python >2.5
-               exc=sys.exc_value
+               exc=sys.exc_info()[1]
                if exc.errno == errno.EEXIST:
                    pass
                else:
diff --git a/buildscripts/packager.py b/buildscripts/packager.py
index c821da9..19d34b3 100755
--- a/buildscripts/packager.py
+++ b/buildscripts/packager.py
@@ -343,7 +343,7 @@ def main(argv):
     prefix = args.prefix
     if prefix is None:
       prefix = tempfile.mkdtemp()
-    print "Working in directory %s" % prefix
+    print("Working in directory %s" % prefix)
 
     os.chdir(prefix)
     try:
@@ -382,14 +382,14 @@ def crossproduct(*seqs):
 
 def sysassert(argv):
     """Run argv and assert that it exited with status 0."""
-    print "In %s, running %s" % (os.getcwd(), " ".join(argv))
+    print("In %s, running %s" % (os.getcwd(), " ".join(argv)))
     sys.stdout.flush()
     sys.stderr.flush()
     assert(subprocess.Popen(argv).wait()==0)
 
 def backtick(argv):
     """Run argv and return its output string."""
-    print "In %s, running %s" % (os.getcwd(), " ".join(argv))
+    print("In %s, running %s" % (os.getcwd(), " ".join(argv)))
     sys.stdout.flush()
     sys.stderr.flush()
     return subprocess.Popen(argv, stdout=subprocess.PIPE).communicate()[0]
@@ -421,11 +421,11 @@ def unpack_binaries_into(build_os, arch, spec, where):
         sysassert(["tar", "xvzf", rootdir+"/"+tarfile(build_os, arch, spec)])
         release_dir = glob('mongodb-linux-*')[0]
         for releasefile in "bin", "GNU-AGPL-3.0", "README", "THIRD-PARTY-NOTICES", "MPL-2":
-            print "moving file: %s/%s" % (release_dir, releasefile)
+            print("moving file: %s/%s" % (release_dir, releasefile))
             os.rename("%s/%s" % (release_dir, releasefile), releasefile)
         os.rmdir(release_dir)
     except Exception:
-        exc=sys.exc_value
+        exc=sys.exc_info()[1]
         os.chdir(rootdir)
         raise exc
     os.chdir(rootdir)
@@ -441,7 +441,7 @@ def make_package(distro, build_os, arch, spec, srcdir):
     # directory, so the debian directory is needed in all cases (and
     # innocuous in the debianoids' sdirs).
     for pkgdir in ["debian", "rpm"]:
-        print "Copying packaging files from %s to %s" % ("%s/%s" % (srcdir, pkgdir), sdir)
+        print("Copying packaging files from %s to %s" % ("%s/%s" % (srcdir, pkgdir), sdir))
         # FIXME: sh-dash-cee is bad. See if tarfile can do this.
         sysassert(["sh", "-c", "(cd \"%s\" && git archive %s %s/ ) | (cd \"%s\" && tar xvf -)" % (srcdir, spec.metadata_gitspec(), pkgdir, sdir)])
     # Splat the binaries under sdir.  The "build" stages of the
@@ -574,7 +574,7 @@ def move_repos_into_place(src, dst):
             os.mkdir(dname)
             break
         except OSError:
-            exc=sys.exc_value
+            exc=sys.exc_info()[1]
             if exc.errno == errno.EEXIST:
                 pass
             else:
@@ -594,7 +594,7 @@ def move_repos_into_place(src, dst):
             os.symlink(dname, tmpnam)
             break
         except OSError: # as exc: # Python >2.5
-            exc=sys.exc_value
+            exc=sys.exc_info()[1]
             if exc.errno == errno.EEXIST:
                 pass
             else:
@@ -612,7 +612,7 @@ def move_repos_into_place(src, dst):
                os.symlink(os.readlink(dst), oldnam)
                break
            except OSError: # as exc: # Python >2.5
-               exc=sys.exc_value
+               exc=sys.exc_info()[1]
                if exc.errno == errno.EEXIST:
                    pass
                else:
@@ -765,7 +765,7 @@ def ensure_dir(filename):
     try:
         os.makedirs(dirpart)
     except OSError: # as exc: # Python >2.5
-        exc=sys.exc_value
+        exc=sys.exc_info()[1]
         if exc.errno == errno.EEXIST:
             pass
         else:
